View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000465aMuleExternal Connpublic2005-06-01 17:382005-06-04 21:19
Reportereinheitlix 
Assigned ToKry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.1 
Target VersionFixed in VersionSVN 
Summary0000465: aMule does not always compute MD5 hashs correctly
DescriptionI chose "always" for reproducibility, but actually it is only always reproducible under a certain configuration, and I am not absolutely sure what that configuration is.

I compiled stable aMule 2.0.1 with the following configure options on a x86_64 machine:
--enable-optimize
--disable-monolithic
--enable-amule-daemon
--enable-amulecmd
--enable-webserver

Using wxWidgets 2.6.0 compiled with gtk1, not gtk2.

Behaviour: when amuleweb (or any other application using ExternalConnector.cpp) prompts for a password and then computes a MD5 hash out of it, it computes a wrong MD5 sum.

This happens *every single time* on the machine where I compiled it first.

On another machine, *the exact same sources* with *the exact same configure options*, the MD5 sums are computed correctly, albeit it is also a Gentoo Linux machine with an up-to-date stable system. However, the machine where the error occurs is 64 bits (portage keyword "amd64"), whereas the machine where it works correctly is not (portage keyword "x86").

Workaround:
to work around the problem, create a remote.conf and set the ECPassword there. Then, amuleweb doesn't prompt you for a password and doesn't do a buggy MD5 computation, but rather just uses that string. If it matches with the ECPassword in amule.conf, everything works fine.

It doesn't just happen to me, Stefanero reports to see this problem, too.

Kind regards,

Malte
Additional InformationFor more information, please read this thread (the first two posts are irrelevant for this problem):
http://forum.amule.org/thread.php?threadid=6404 [^]
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001022)
Kry (manager)
2005-06-02 03:43

I blame gentoo and --enable-optimize. Try without the optimize flags.
(0001023)
einheitlix (reporter)
2005-06-02 04:02

I tried without --enable-optimize. Exact same error occurs.

I would have been suprised if it had worked, for on my other machine, also running Gentoo, and with the same configure options (also --enable-optimize), it works fine.

The only difference between the two machines is that the one is AMD64 and the other Athlon XP. So,
- either it's because of some library that aMule uses and that is different on these two systems, which could be the case because sometimes, a package marked stable for x86 is not marked stable for amd64 and vice-versa,
- or the error lies in the architecture itself

I can't really think of any other possibility, because I don't see any other differences between both machines. If you want me to try anything else, go on :)
(0001024)
Kry (manager)
2005-06-02 04:06

You not getting the point ;) I use a pure64 debian distro. It's all 64. IT's working here. Gentoo's fault :P
(0001025)
stefanero (updater)
2005-06-02 18:17

I use gentoo aswell.... :-/
I have a suse64 on a 2nd partition I will try there this evening
(0001026)
einheitlix (reporter)
2005-06-03 00:49

> You not getting the point ;) I use a pure64 debian distro. It's all 64. IT's working here. Gentoo's fault :P

Of course, it could be due tu some Gentoo specific configuration. I just wanted to say it has nothing to do with --enable-optimize :)

However, note that on my other x86 machine, which is also running Gentoo, it works. So at least it doesn't *always* happen under Gentoo. Maybe only under Gentoo on a 64 bit box or so ;-)

It will be interesting to see whether it works for Stefan unde SuSE.

Couldn't you "isolate" the MD5 encoding in a single standalone application? That way I could try it out under several different configurations on different machines, maybe I would be able to narrow down the problem :)
(0001027)
Kry (manager)
2005-06-03 01:23

Ok, I already assigned to me. Happy? :P


I'll take a look to isolate the md5, but after 2.0.2 release (don't worry, it was schedules for yesterday so shouldn't take more than 2 or 3 years)
(0001028)
einheitlix (reporter)
2005-06-03 01:28

Very happy indeed :-P

See you in two or three years, then... ;-)
(0001033)
stefanero (updater)
2005-06-03 21:06

ok tested under fc3 under 64b, same problem as under gentoo,

you calculate a md5sum in console, add it to the amule.conf file as EC pass

when you start amuleweb, and type your pass

->access denied

stefanero
(0001037)
Kry (manager)
2005-06-04 21:19

Fixed on CVS (not on 2.0.2)

- Issue History
Date Modified Username Field Change
2005-06-01 17:38 einheitlix New Issue
2005-06-02 03:43 Kry Note Added: 0001022
2005-06-02 04:02 einheitlix Note Added: 0001023
2005-06-02 04:06 Kry Note Added: 0001024
2005-06-02 18:17 stefanero Note Added: 0001025
2005-06-03 00:49 einheitlix Note Added: 0001026
2005-06-03 01:22 Kry Status new => assigned
2005-06-03 01:22 Kry Assigned To => Kry
2005-06-03 01:23 Kry Note Added: 0001027
2005-06-03 01:28 einheitlix Note Added: 0001028
2005-06-03 21:06 stefanero Note Added: 0001033
2005-06-04 21:19 Kry Status assigned => resolved
2005-06-04 21:19 Kry Fixed in Version => CVS
2005-06-04 21:19 Kry Resolution open => fixed
2005-06-04 21:19 Kry Note Added: 0001037


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker